{% set crumbs = breadcrumbs.get() %}
{% set breadcrumbs_config = config.plugins.breadcrumbs %}
{% set divider = breadcrumbs_config.icon_divider_classes %}

{% if crumbs|length > 1 or breadcrumbs_config.show_all -%}
    <div class="grid-x cell">
        <nav aria-label="You are here:" role="navigation">
            <ul class="breadcrumbs">
                {% if breadcrumbs_config.icon_home -%}
                    <li><i class="{{ breadcrumbs_config.icon_home }}"></i></li>
                {%- endif %}

                {% for crumb in crumbs %}
                    {% if not loop.last -%}
                        <li>
                            {%- if crumb.routable -%}
                                <a href="{{ crumb.url }}">{{ crumb.menu }}</a>
                            {%- else -%}
                                {{- crumb.menu -}}
                            {%- endif -%}
                        </li>
                    {%- else -%}
                        <li>
                            <span class="show-for-sr">Current: </span>
                            {% if breadcrumbs_config.link_trailing -%}
                                <a href="{{ crumb.url }}">{{ crumb.menu }}</a>
                            {%- else -%}
                                {{- crumb.menu -}}
                            {%- endif %}
                        </li>
                    {%- endif %}
                {% endfor %}
            </ul>
        </nav>
    </div>
{%- endif %}
